Bug 479501 - incorrect default page size in print dialog
incorrect default page size in print dialog
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: qt3 (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-09 23:35 EST by Aram Agajanian
Modified: 2009-11-25 11:46 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.0.7-1.fc10
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-09 00:23:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aram Agajanian 2009-01-09 23:35:46 EST
Description of problem:
When I run Qucs and open the print dialog, the default page size is set to A4.  Since I am in the US, the correct default page size is Letter.

Version-Release number of selected component (if applicable):
qucs-0.0.14-1.fc9.i386

How reproducible:
The incorrect default page size occurs every time that I start Qucs.

Steps to Reproduce:
1. Run Qucs.
2. Open the Print dialog by selecting the Print... option in the File menu.
3. Observe the default value for the page size in the section labeled "Paper format".
  
Actual results:
The default page size is A4.


Expected results:
The default page size is Letter.


Additional info:
I see this same bug at my job where the OS is CentOS 5.  It happens in Qucs as well as another application that uses Qt.

I found the following message in a Qucs e-mail list which describes a similar problem involving SCIM.  I wonder if the default page size problem is related to the issue described in this message.

http://sourceforge.net/mailarchive/message.php?msg_id=62560.82.135.4.253.1176312513.squirrel%40service.rules.org
Comment 1 Aram Agajanian 2009-04-30 18:13:02 EDT
I'm also seeing this bug in Fedora 9 and CentOS 5.

The LANG environment variable is set to en_US.UTF-8.
Comment 2 Fedora Update System 2009-05-07 03:00:08 EDT
freehdl-0.0.7-1.fc10,qucs-0.0.15-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/freehdl-0.0.7-1.fc10,qucs-0.0.15-3.fc10
Comment 3 Kevin Kofler 2009-05-07 04:16:48 EDT
Reassigning to qucs as the bug is being fixed there.
Comment 4 Fedora Update System 2009-05-09 00:23:46 EDT
freehdl-0.0.7-1.fc10, qucs-0.0.15-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Aram Agajanian 2009-05-09 22:23:59 EDT
Today, I tested 0.0.15-3.fc10.  I found the following comment in the ChangeLog:

 * US letter formats for schematic frame

This is cool, and I'm sure that it will be used at my college.  I thank the developers for the new release.

However, I was actually reporting a different issue which seems to affect all Qt3 apps.  That is, when you bring up the print dialog from the File menu, the default page size always seems to be A4 when it should be dependent on the locale.  This problem hasn't gone away in 0.0.15, as far as I can tell.
Comment 6 Kevin Kofler 2009-05-10 05:31:50 EDT
Bouncing back to qt3.
Comment 7 Bug Zapper 2009-11-18 07:43:22 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Rex Dieter 2009-11-18 08:47:31 EST
Rebasing to rawhide (FutureFeature)

Note You need to log in before you can comment on or make changes to this bug.